# $Revision: 1.24 $, $Date: 2002/05/22 20:28:43 $
Summary:	Ruby - interpreted scripting language
Summary(pl):	Ruby - interpretowany jzyk skryptowy
Name:		ruby
Version:	1.6.7
Release:	1
License:	GPL
Group:		Development/Languages
URL:		http://www.ruby-lang.org
Source0:	ftp://ftp.ruby-lang.org/pub/ruby/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.netlab.co.jp/pub/lang/ruby/doc/%{name}-texi-1.4-en.tar.gz
Source2:	http://www.math.sci.hokudai.ac.jp/~gotoken/ruby/%{name}-uguide-981227.tar.gz
Source3:	ftp://ftp.netlab.co.jp/pub/lang/ruby/doc/%{name}faq-990927.tar.gz
Source4:	irb.1
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac25x.patch
BuildRequires:	autoconf
BuildRequires:	gdbm-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel >= 4.2
BuildRequires:	texinfo
BuildRequires:	tk-devel
Prereq:		/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ruby-doc

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming. It has many features to process text
files and to do system management tasks (as in Perl). It is simple,
straight-forward, extensible, and portable.

%description -l pl
Ruby to interpretowany jzyk skryptowy, w sam raz dla atwego i
szybkiego pisania zorientowanych obiektowo programw. Ma wiele funkcji
uatwiajcych przetwarzanie plikw tekstowych i wykonywanie prac
zwizanych z zarzdzaniem systemu (podobnie jak Perl). Jest prosty,
rozszerzalny i przenony.

%prep
%setup -q -a1 -a2 -a3
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	--enable-shared
%{__make}

%{__make} info -C %{name}-texi-1.4-en

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install %{name}-texi-1.4-en/ruby.info* $RPM_BUILD_ROOT%{_infodir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man1

mv -f ruby-uguide guide
mv -f rubyfaq faq

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc guide faq misc README README.EXT ChangeLog ToDo
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/%{name}
%{_mandir}/*/*
%{_infodir}/*
%{_examplesdir}/%{name}-%{version}


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ruby.spec,v $
Revision 1.24  2002/05/22 20:28:43  qboosh
- added ac25x patch needed for autoconf 2.53
- removed workaround for ac - mkconfig.rb supports ac 2.52 now
- longer info patch, fixed info pages are back
- new %%doc

Revision 1.23  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/05/20 07:50:36  pioklo
- up to 1.6.7,STBR

Revision 1.21  2002/05/20 07:07:42  pioklo
-up to 1.6.7,STBR

Revision 1.20  2002/05/18 20:26:41  mmazur
- fixed error while building docs (that is turned of building docs :)
though they seem to build anyhow. Well... no matah... STBR.
- P.S. I'm not responsible... bite rmf if you don't like this "fix" :)

Revision 1.19  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/03 05:28:10  kloczek
- updated to 1.6.6 (bug fix release),
- new Source url.

Revision 1.15  2002/01/03 04:47:13  kloczek
- release 5: ruby-doc added to Obsoletes for allow upgrade from MDK.

Revision 1.14  2001/09/08 19:11:55  kloczek
- release 4.

Revision 1.13  2001/09/08 18:27:36  qboosh
- added workaround for syntax errors on rbconfig.rb processing

Revision 1.12  2001/09/06 23:13:47  kloczek
- removed double listed files.

Revision 1.11  2001/09/06 22:31:04  kloczek
- bump release to release 3,
- added irb(1) man page (stolen from RH resources).

Revision 1.10  2001/09/06 22:20:42  kloczek
- updated to 1.6.4,
- regenerate ac files,
- removed obsoletes readline patch.

Revision 1.9  2001/07/27 20:22:32  migo
'- added missing (pl) in pl Summary'

Revision 1.8  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.5  2001/04/13 16:32:15  wiget
add patch to compile with readline 4.2; release 2

Revision 1.4  2001/03/29 07:58:45  mis
- autoupdated to 1.6.3

Revision 1.3  2001/02/15 21:18:40  kloczek
- added /sbin/ldconfig to Prereq,
- added info patch with ruby info index entry fixes (added texinfo to
  BuildRequires),
- few small cosmetics.
NOTE: IMHO some files and dosumentations can be separated into devel
subpackage.

Revision 1.2  2001/02/15 17:35:23  qboosh
- BuildRequires: gdbm-devel
- removed XFree86-devel and tcl-devel from BR (tk-devel implies them)

Revision 1.1  2000/12/30 15:46:59  mis
- initial PLD version

* Wed Nov 22 2000 Tim Powers <timp@redhat.com>
- initial build for Powertools
